WaveFormat Struct Reference

`#include <SDL_wave.h>`

## Data Fields

Uint16 | formattag
Uint16 | encoding
Uint16 | channels
Uint32 | frequency
Uint32 | byterate
Uint16 | blockalign
Uint16 | bitspersample
Uint16 | extsize
Uint16 | validsamplebits
Uint32 | samplesperblock
Uint32 | channelmask
Uint8 | subformat [16]

## Detailed Description

Definition at line 50 of file SDL_wave.h.

## Field Documentation

## bitspersample

Uint16 WaveFormat::bitspersample

Definition at line 58 of file SDL_wave.h.

Referenced by MS_ADPCM_CalculateSampleFrames().

## blockalign

Uint16 WaveFormat::blockalign

Definition at line 57 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), MS_ADPCM_CalculateSampleFrames(), and MS_ADPCM_Decode().

## byterate

Uint32 WaveFormat::byterate

Definition at line 56 of file SDL_wave.h.

## channelmask

Uint32 WaveFormat::channelmask

Definition at line 68 of file SDL_wave.h.

## channels

Uint16 WaveFormat::channels

Definition at line 54 of file SDL_wave.h.

Referenced by IMA_ADPCM_CalculateSampleFrames(), IMA_ADPCM_Decode(), MS_ADPCM_CalculateSampleFrames(), and MS_ADPCM_Decode().

## encoding

Uint16 WaveFormat::encoding

Definition at line 53 of file SDL_wave.h.

Referenced by LAW_Decode().

## extsize

Uint16 WaveFormat::extsize

Definition at line 63 of file SDL_wave.h.

## formattag

Uint16 WaveFormat::formattag

Definition at line 52 of file SDL_wave.h.

## frequency

Uint32 WaveFormat::frequency

Definition at line 55 of file SDL_wave.h.

## samplesperblock

Uint32 WaveFormat::samplesperblock

Definition at line 67 of file SDL_wave.h.

Referenced by IMA_ADPCM_Decode(), and MS_ADPCM_Decode().

## subformat

Uint8 WaveFormat::subformat[16]

Definition at line 69 of file SDL_wave.h.

## validsamplebits

Uint16 WaveFormat::validsamplebits

Definition at line 66 of file SDL_wave.h.

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.h